Skip to content

List Projects

GET
/v1/projects

List all projects for the current user.

Returns all projects along with their associated finetune jobs.

x-api-key
required
X-Api-Key
string

List of projects with their associated jobs

ProjectsListResponse

Response containing list of projects

object
data
required
Data

List of projects

Array<object>
Project

Project summary for list response

object
project_id
required
Project Id

Project ID

string format: uuid
name
required
Name

Project name

string
description
Any of:
string
created_at
required
Created At

Creation timestamp

string format: date-time
jobs
Jobs

Jobs in this project

Array<object>
Job

Job summary within a project

object
job_id
required
Job Id

Job ID

string format: uuid
name
Any of:
string
model
Any of:
string
dataset
Any of:
string
status
Any of:
string
created_at
required
Created At

Creation timestamp

string format: date-time

Invalid or missing API key

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string